Bug 27063 - Nouveau does DMA to/from unexpected address
Summary: Nouveau does DMA to/from unexpected address
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-13 13:09 UTC by David Woodhouse
Modified: 2011-02-08 08:43 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Woodhouse 2010-03-13 13:09:11 UTC
In systems with an IOMMU, we get DMA faults when the graphics card attempts to DMA to/from physical address zero.

Stray DMA considered harmful.

https://bugzilla.redhat.com/show_bug.cgi?id=561267
Comment 1 Paul Crook 2010-04-06 08:26:19 UTC
If its of any help I have a 64 bit system (based on Fedora 12) with exactly this problem using git versions of the kernel (2.6.34-rc2) and nouveau from freedesktop (obtained today).

While the system is idle I'm willing to try stuff out.
Comment 2 Lucas Stach 2011-02-08 08:43:21 UTC
As mentioned in the redhat bugzilla this bug is fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.